Dansk Arch Linux forum

For det danske Arch Linux community

Du er ikke logget ind.


Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 406

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#1 01-07-2010 16:01:48

Borelia
Hyppig poster
Registreret: 01-01-2007
Indlæg: 274

[LØST] lille problem

Har et lille problem, har engang været ude for et lignende problem, men kan ikke huske hvordan jeg løste det.

Først et tjek for udates
pacman -Syu
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
:: Starting full system upgrade...
warning: kbluetooth: local (4.0.4RC2-1) is newer than extra (0.4.2-1)
:: Replace kernel26-firmware with core/linux-firmware? [Y/n] y
warning: kmplayer: local (0.11.2-1) is newer than extra (0.11.2b-1)
:: Replace qtpfsgui with community/luminancehdr? [Y/n] y
resolving dependencies...
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: nvidia-96xx: requires kernel26<2.6.34

hmn.. så må nvidia lige ud - har set der ligger nogle nye drivere, så de gamle må lige ud..
og de hedder..

pacman -Q | grep nvidia                                                       
nvidia-96xx 96.43.16-2
nvidia-96xx-utils 96.43.16-1

nå, så væk med dem.

pacman -R nvidia-96xx nvidia-96xx-utils
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: libquicktime: requires libgl
:: mesa: requires libgl
:: mplayer: requires libgl
:: openoffice-base: requires libgl
:: pano2vr: requires libgl
:: qt: requires libgl
:: warzone2100: requires libgl
:: wxgtk: requires libgl
:: xine-lib: requires libgl
:: xorg-server: requires libgl
:: xorg-utils: requires libgl


Men øh jeg kan jo ikke fjerne libgl som er en del af nvidia.
Så jeg sidder fast, kan ikke lige finde en måde at komme videre med at opdatere min arch.


~..Many times I wished there was an "undo" in real life.~

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#2 01-07-2010 16:19:06

Borelia
Hyppig poster
Registreret: 01-01-2007
Indlæg: 274

Re: [LØST] lille problem

Skal jeg bare finde den nvidia driver som modsvarer den gamle, og så vil pacman bede om at fjerne de gamle drivere inden den installerer den nye. Spørgsmålet er så lige om der er en ny der gør det. Det har jo altid været bedst at fjerne de gamle drivere før man installerer nye, når det handler om nvidia.


~..Many times I wished there was an "undo" in real life.~

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

#3 01-07-2010 16:23:44

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 780
Website

Re: [LØST] lille problem

Lige angående de ældre nvidia drivere som fx nvidia-173xx og nvidia-96xx er røget ud af det officielle Arch Linux repo. da de ikke er kompatible med den nye version af xorg (1.8). Dette kan der læses om her:
http://www.archlinux.org/news/502/

Men tilbage til dig problem med at få den fjernet. Jeg ved ikke helt hvad det er der går galt med jeg kunne forestille mig at du skal have installeret en anden driver som kan tilbyde libgl. Jeg vil anbefale at du får sat nouveau driveren op som er en OpenSource driver til nvidia grafikkort. Kører selv med den på mit Geforce 440MX uden problemer og den tilbyder en lang række gode features. Desværre får du ingen 3D support. Pakken hedder "xf86-video-nouveau". Du må lige skrive igen hvis det ikke hjælper at installere denne.


Administrator for Archlinux.dk

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#4 01-07-2010 16:25:32

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 780
Website

Re: [LØST] lille problem

#2
Det med at fjerne de gamle drivere først er kun på Windows. På Linux har vi et pakkesystem der klarer den slags opgaver så her kan du bare installere nyeste version og så vil den automatisk sørge for at opgradere driverne.

Men hvad grafikkort har du siden du kører med de ældre versioner af Nvidia driveren? Husk på at pakken "nvidia" ikke understøtter ældre kort.


Administrator for Archlinux.dk

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 406

#5 02-07-2010 13:58:21

Borelia
Hyppig poster
Registreret: 01-01-2007
Indlæg: 274

Re: [LØST] lille problem

Jeg har et geforce 4200ti - og maskinen skal kunne køre 3d, ellers synes jeg det kan være lige meget et eller andet sted. Hvad med at hente en driver på nvidia.com og selv installere med sh som man gjorde for et par år siden?

Nå, jeg mindes ellers at jeg engang blev bedt om at fjerne nvidia driver før installation af ny - men det kan godt være jeg brugte pclos dengang.

Jeg lukke x-server ned og lavede følgende, da jeg regnede med den ville fjerne xorg-server og nvidia:
pacman -S xf86-video-nouveau
resolving dependencies...
looking for inter-conflicts...
:: xf86-video-nouveau and xorg-server are in conflict (xorg-server<1.8.0). Remove xorg-server? [y/N] y

error: failed to prepare transaction (could not satisfy dependencies)
:: nvidia-96xx-utils: requires xorg-server

pacman -R nvidia-96xx-utils
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: libquicktime: requires libgl
:: mesa: requires libgl
:: mplayer: requires libgl
:: nvidia-96xx: requires nvidia-96xx-utils
:: openoffice-base: requires libgl
:: pano2vr: requires libgl
:: qt: requires libgl
:: warzone2100: requires libgl
:: wxgtk: requires libgl
:: xine-lib: requires libgl
:: xorg-server: requires libgl
:: xorg-utils: requires libgl

Sidst ændret af Borelia (02-07-2010 14:15:05)


~..Many times I wished there was an "undo" in real life.~

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#6 02-07-2010 14:18:27

cedeel
Ny på Archforum
Registreret: 17-09-2009
Indlæg: 7

Re: [LØST] lille problem

Desværre ingen 3D support for ældre nvidia kort. Du kan håbe at nvidia selv laver opdaterede versioner af de ældre drivere, men du skal nok ikke forvente det.

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#7 02-07-2010 15:06:27

Borelia
Hyppig poster
Registreret: 01-01-2007
Indlæg: 274

Re: [LØST] lille problem

Kan se mit lille problem er blevet stort - jeg kan jo ikke opdatere min arch. En masse pakker er afhængig af nvidia, og vil jeg forsøge at fjerne de pakker, så ved jeg at der dukker endnu flere op. Det er noget tis.


Er der en som kan fortælle mig hvordan jeg får installeret xf86-video-nouveau - da jeg ikke kan komme af med nvidia og jeg ikke kan installere xf86-video-nouveau fordi nvidia er installeret?

Sidst ændret af Borelia (04-07-2010 05:57:34)


~..Many times I wished there was an "undo" in real life.~

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 406

#8 09-07-2010 17:51:13

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 780
Website

Re: [LØST] lille problem

(Jeg har været på ferie og er først kommet hjem i dag. Dette er årsagen til at jeg først svarer nu)

Som #6 er inde på så understøtter Nvidia ikke deres ældre kort hvilket betyder at Arch Linux er en ret dårlig distribution at bruge hvis man virkelig ønsker 3D support med et gammelt Nvidia kort eftersom Xorg hele tiden holdes opdateret i Arch Linux. Da Nvidia driverne skal understøtte den installeret Xorg version (samt kerneversion) kan det ikke lade sig gøre at forsøge sig med ældre Nvidia drivere på en ny Xorg. Hvis du skal bruge 3D support kan du derfor vælge at:

1) Bruge en distribution der stadig benytter sig af en ældre version af Xorg (måske Debian Stable).
2) Købe et nyt grafikkort der er understøttet af de nyere drivere.

Du kan nok regne ud af begge løsninger aldrig vil fungere i al evighed da (1) kræver en distribution der aldrig vil opdatere Xorg hvilket nok ikke er særlig sandsynligt og (2) forventer at Nvidia aldrig vil holde op med at support deres gamle kort hvilket heller ikke er sandsynligt.

Installation af xf86-video-nouveau
Men hvordan installere man så xf86-video-nouveau pakken i stedet for Nvidia? Jo for det første undre det mig at du skriver et spørgsmåltegn i denne sætning "jeg ikke kan installere xf86-video-nouveau fordi nvidia er installeret?". Du kunne jo fx prøve og derved opdage at nouveau ikke har noget som helst imod at Nvidia er installeret. Dette kan du endda se uden at skulle starte en Arch Linux maskine ved at tjekke PKGBUILD for pakken xf86-video-nouveau:
http://repos.archlinux.org/wsvn/package … k/PKGBUILD

Efter installationen af nouveau pakken regner jeg med at du kan fjerne nvidia pakken. Hvis dette ikke kan lade sig gøre må du lige poste fejlbeskeden og så ser vi på det. Hvis det viser sig at du godt kan fjerne Nvidia driverne kan du jo tjekke denne guide for at fortsætte:
http://wiki.archlinux.org/index.php/Nouveau


Administrator for Archlinux.dk

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#9 13-07-2010 21:09:19

Borelia
Hyppig poster
Registreret: 01-01-2007
Indlæg: 274

Re: [LØST] lille problem

Hej Julemand101,
Jeg har installeret nouveau pakken og fået den til at køre, jeg har også selv været på ferie, men smutter til Irland på endnu en tur i morgen. Har overvejet at købe et nyt nvidakort, men jeg tror jeg har fundet en løsning med nouveau, mener jeg har læst et eller andet sted om at de faktisk har fået den til at understøtte 3D,  -- http://www.phoronix.com/scan.php?page=n … ;px=Nzk4MQ
og her er lidt vedrørende arch -- http://bbs.archlinux.org/viewtopic.php?id=91111
Men jeg kigger nærmere på det, når jeg kommer hjem 24/7.


~..Many times I wished there was an "undo" in real life.~

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#10 13-07-2010 21:51:41

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 780
Website

Re: [LØST] lille problem

Det virker meget spændende. Jeg glæder mig til at høre om dine erfaringer omkring dette (altså efter du er kommet hjem). smile

God tur.


Administrator for Archlinux.dk

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#11 24-07-2010 14:29:46

Borelia
Hyppig poster
Registreret: 01-01-2007
Indlæg: 274

Re: [LØST] lille problem

Har fundet på en bedre løsning:

Installerede følgende nvidia pakker fra AUR:
nvidia-96xx-utils-xorg18 96.43.18-1
nvidia-96xx-xorg18 96.43.18-1

glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
25896 frames in 5.0 seconds = 5179.077 FPS
26649 frames in 5.0 seconds = 5329.780 FPS
26689 frames in 5.0 seconds = 5337.650 FPS

Kan nu igen spille 3D games på fuld fart.
ps.mit gamle kort er nvidia 4200ti

Sidst ændret af Borelia (24-07-2010 14:31:14)


~..Many times I wished there was an "undo" in real life.~

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#12 24-07-2010 16:50:33

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 780
Website

Re: [LØST] lille problem

Hm det er sjovt at det faktisk virker når nu driveren skulle være inkompatible med den nye xorg. Nå det vil jeg ikke rode med. Godt du fik det til at virke big_smile


Administrator for Archlinux.dk

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#13 20-08-2010 10:39:51

cedeel
Ny på Archforum
Registreret: 17-09-2009
Indlæg: 7

Re: [LØST] lille problem

Nvidia har selv opdateret 96xx driveren så den understøtter xorg 1.8
Men om de gør det næste gang xorg opdateres vides ikke..

Offline

 

Board footer

Powered by FluxBB